INTERFACE
SUBROUTINE HRADPAD(KDLEN,KLEN,KSET,POROG5,POROGOB,&
 & PPRESH ,PTF ,PTSTAR ,PT0 ,PTQOPP ,&
 & PPS ,PTS ,PT2M ,PQ2M ,PCTOP , PCAMT ,&
 & PPRESH5,PPRESF5,PTSTAR5,PT05,PTQOPP5,&
 & PPS5,PTS5,PT2M5,PQ2M5,PCTOP5 ,PCAMT5, PTPP5_REF,PTS5_REF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIMO , ONLY : NLSAT, NPNAV
USE YOMDIM , ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSET
REAL(KIND=JPRB) ,INTENT(IN) :: POROG5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGOB(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTSTAR(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT0(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTQOPP(KDLEN,NLSAT,NPNAV-1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPS(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS(KDLEN),PCTOP(KDLEN),PCAMT(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT2M(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ2M(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSTAR5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PT05(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTQOPP5(KDLEN,NLSAT,NPNAV-1)
REAL(KIND=JPRB) ,INTENT(IN) :: PPS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS5(KDLEN),PCTOP5(KDLEN),PCAMT5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PT2M5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ2M5(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PTPP5_REF(KDLEN,NLSAT)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS5_REF(KDLEN)
INTEGER(KIND=JPIM), PARAMETER :: IT=1, IQ=2, IO3=3, ICO2=4
END SUBROUTINE HRADPAD
END INTERFACE
